{ lib, rustPlatform }:

rustPlatform.buildRustPackage rec {
  pname = "traque";
  version = "0.2.4";

  src = fetchTarball "https://git.dgnum.eu/lbailly/traque/archive/master.tar.gz";
  cargoLock = {
    lockFile = "${src}/Cargo.lock";
  };

  postInstall = ''
    mkdir -p $out/share
    cp -r static $out/share/traque-webroot
    cp -r templates $out/share/traque-templates
  '';
}
