{ ssh }:
{
  config,
  lib,
  pkgs,
  mods,
  ...
}:
{
  programs.zsh.enable = true;
  users.users.root =
    {
      shell = pkgs.zsh;
    }
    // lib.attrsets.optionalAttrs ssh {
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAA16foz+XzwKwyIR4wFgNIAE3Y7AfXyEsUZFVVz8Rie catvayor@katvayor"
      ];
    };
  home-manager.users.root = {
    home.stateVersion = "23.11";
    imports = with mods.home; [
      neovim
      zsh
    ];
  };
}
// lib.attrsets.optionalAttrs ssh { services.openssh.enable = true; }
